summarylogtreecommitdiffstats
path: root/intrigue.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-29 16:04:52 +0800
committerzxp198210052023-12-29 16:04:52 +0800
commit58b4ad6078cb5107ea495768ac2c5edfadc07699 (patch)
treea941c71e75036866e345e8f19702fbc09a90359e /intrigue.sh
parent168beb881c8db7ee8db3f3a610e52f5900bbd42e (diff)
downloadaur-58b4ad6078cb5107ea495768ac2c5edfadc07699.tar.gz
fix errors
Diffstat (limited to 'intrigue.sh')
-rw-r--r--intrigue.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/intrigue.sh b/intrigue.sh
index 93cbff9c6acc..c77c53567639 100644
--- a/intrigue.sh
+++ b/intrigue.sh
@@ -1,11 +1,17 @@
-#!/bin/bash
-_ELECTRON=/usr/bin/electron12
-APPDIR=/usr/lib/intrigue
-export PATH="${APPDIR}:${PATH}"
-export LD_LIBRARY_PATH="${APPDIR}/swiftshader:${APPDIR}/lib:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+ exit
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+ exit
fi \ No newline at end of file